Status: Closed Start date: Oct 11, 2018

Priority: High Due date:  

Assignee: Michele Artini % Done: 100%

Category:    

Target version: ISTI Open Portal Tasks   

Description

Because of the lack of provisioning of references to the open access versions in Peopel publications metadata it was agreed to set

up the following workaround (to continue being compliant with the policy and save effort of researchers):

whenever the Library receives a notification about the submission of a paper and approve it, the responsible should take care of

downloading the files and store them on ISTI premises (an ftp should be fine);

a conventions should be established, e.g. have a folder with the ID of the paper and store the files in it;

the ISTI Open Portal harvesting procedure should be enriched to include into the collected metadata a link to the files stored

into the ftp site according to the above strategy;

Related issues:

Blocked by ISTI Open Access - Feature #12667: New joomla portal installation ... Closed Oct 12, 2018

History

#1 - Dec 03, 2018 11:56 AM - Leonardo Candela

- Blocked by Feature #12667: New joomla portal installation (BETA) added

#2 - Feb 28, 2019 02:33 PM - Leonardo Candela

- Status changed from New to In Progress

- % Done changed from 0 to 50

The FTP is up and running at http://ftp.openportal.isti.cnr.it/

It was agreed that the open access version of the products are going to be organised in a structure like

/YEAR/PRODUCT-ID/FILE

where FILE will be:

Preprint.

Postprint.

If further needs will emerge, we will reconsider these values. 

#3 - Mar 27, 2019 05:01 PM - Leonardo Candela

- Status changed from In Progress to Feedback

- % Done changed from 50 to 100

What is preventing us from closing this ticket? 

According to my knowledge everything is in place from the system pov. 

#4 - Mar 29, 2019 08:45 AM - Anonymous

- Status changed from Feedback to Closed

The mechanism has been implemented and its is working in production.

Some examples:

2018/383511/2018_383511.pdf

2018/381019/2018_381019.preprint.pdf
2018/393615/2018_393615.postprint.pdf

2018/395454/2018_395454.published.pdf
